import com.jme.app.SimpleGame;
import com.jme.math.Matrix4f;
import com.jme.math.Vector3f;
import com.jme.renderer.ColorRGBA;
import com.jme.scene.Line;
import com.jmex.effects.ProjectedTextureUtil;

public class TestCam extends SimpleGame {

	public static void main(String[] args) {
		TestCam app = new TestCam();
		app.setDialogBehaviour(FIRSTRUN_OR_NOCONFIGFILE_SHOW_PROPS_DIALOG);
		app.start();
	}
	
	@Override
	protected void simpleInitGame() {
		display.setTitle("SGA");
        
		cam.setLocation(new Vector3f(0,10,0));
		cam.lookAt(new Vector3f(0,0,0), new Vector3f(0,0,-1));
		cam.update();
		
		Vector3f aim = new Vector3f(0,-1,0);
		Vector3f up = new Vector3f(1,0,0);
		
		Matrix4f matRot = new Matrix4f();
		ProjectedTextureUtil.matrixLookAt(new Vector3f(0,0,0), aim, up, matRot);
		
		Vector3f eye = new Vector3f(0,0,0);
		eye = matRot.mult(eye);
		Vector3f topLeft = new Vector3f(-181.9851f,181.9851f,-1000);
		topLeft = matRot.mult(topLeft);
		Vector3f topRight = new Vector3f(181.9851f,181.9851f,-1000);
		topRight = matRot.mult(topRight);
		Vector3f bottomLeft = new Vector3f(-181.9851f,-181.9851f,-1000);
		bottomLeft = matRot.mult(bottomLeft);
		Vector3f bottomRight = new Vector3f(181.9851f,-181.9851f,-1000);
		bottomRight = matRot.mult(bottomRight);
		
		Line top = new Line("top", new Vector3f[]{eye, topLeft, topRight},null,new ColorRGBA[]{ColorRGBA.white, ColorRGBA.white, ColorRGBA.white},null);
		top.setMode(Line.LOOP);
		rootNode.attachChild(top);

		Line bottom = new Line("bottom", new Vector3f[]{eye, bottomLeft, bottomRight},null,new ColorRGBA[]{ColorRGBA.white, ColorRGBA.white, ColorRGBA.white},null);
		bottom.setMode(Line.LOOP);
		rootNode.attachChild(bottom);

		Line left = new Line("left", new Vector3f[]{topLeft, bottomLeft},null,new ColorRGBA[]{ColorRGBA.white, ColorRGBA.white},null);
		left.setMode(Line.LOOP);
		rootNode.attachChild(left);

		Line right = new Line("right", new Vector3f[]{topRight, bottomRight},null,new ColorRGBA[]{ColorRGBA.white, ColorRGBA.white},null);
		right.setMode(Line.LOOP);
		rootNode.attachChild(right);
		
		// IMPORTANT
		rootNode.updateRenderState();
	}

	@Override
	protected void simpleRender() {
		super.simpleRender();
	}

	@Override
	protected void simpleUpdate() {
		super.simpleUpdate();
	}
}
