package fr.bhprod.sga.map.editor.swing;

import java.awt.Component;
import java.io.File;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import org.apache.log4j.Logger;

/**
 * This class allow to print the files' name in the texture detail list
 * and not the complete path
 * @author jbeaufils
 * @version 1.0
 */

public class MapCellRenderer extends JLabel implements ListCellRenderer {
	private static final long serialVersionUID = -8786337976974936204L;

	public static final Logger LOGGER = Logger.getLogger(MapCellRenderer.class);

	public Component getListCellRendererComponent(JList list, Object value,
			int index, boolean isSelected, boolean cellHasFocus) {
		if (value instanceof File == false) {
			LOGGER.error("The list objects must be of type java.io.File");
			System.exit(1);
		}
		File file = (File) value;
		String s = file.getName();
		setText(s);
		if (isSelected) {
			setBackground(list.getSelectionBackground());
			setForeground(list.getSelectionForeground());
		} else {
			setBackground(list.getBackground());
			setForeground(list.getForeground());
		}
		setEnabled(list.isEnabled());
		setFont(list.getFont());
		setOpaque(true);
		return this;
	}
}
